# wxDataViewDateRenderer Class Reference
[wxDataViewCtrl Related Classes]

`#include </home/work/projects/wx/2.9/wx/interface/wx/dataview.h>`

Inheritance diagram for wxDataViewDateRenderer:
[legend]

## Detailed Description

This class is used by wxDataViewCtrl to render calendar controls.

##

Library: wxAdvanced
Category: wxDataViewCtrl Related Classes

## Public Member Functions

| wxDataViewDateRenderer (const wxString &varianttype="datetime", wxDataViewCellMode mode=wxDATAVIEW_CELL_ACTIVATABLE, int align=wxDVR_DEFAULT_ALIGNMENT)
| The ctor.

List of all members.

## Constructor & Destructor Documentation

wxDataViewDateRenderer::wxDataViewDateRenderer | ( | const wxString & | varianttype = `"datetime"`,
|  | wxDataViewCellMode | mode = `wxDATAVIEW_CELL_ACTIVATABLE`,
|  | int | align = `wxDVR_DEFAULT_ALIGNMENT` |
| ) |  |  |

The ctor.

|  | [ top ]